Subject: bug#28051: Multiline Statement Indentation Error in Inferior Python Mode

From: Dmitry Gutov <[email-masked]>
Date: Sun, 27 Aug 2017 19:42:43 +0300

On 8/22/17 4:36 AM, [email-masked] wrote:

> Hmm, when using company-mode the error message is sent repeatedly, which
> seems pretty annoying.  But silently returning no matches could be
> confusing.  Dimitri, any advice?

Use a python-specific global variable and only show the warning one 
time? Or at most once in XX seconds?

There's no existing diagnostic UI for this in company-mode. And the idea 
for completion-at-point-functions is to not signal errors during normal 
operation (an error means there's a bug to be fixed, and bugging the 
user in that case seems okay).

In this particular case, though, I'd simply return no completions. We do 
the same in inf-ruby anyway (no completion on continuation lines). Add a 
warning message once a session, if you prefer.